MyGUI: MyGUI::DataManager Class Reference

MyGUI 3.2.2

Public Member Functions
MyGUI::DataManager Class Referenceabstract

`#include <MyGUI_DataManager.h>`

Inheritance diagram for MyGUI::DataManager:
[legend]

## Public Member Functions
virtual IDataStream * | getData (const std::string &_name)=0
virtual void | freeData (IDataStream *_data)=0
virtual bool | isDataExist (const std::string &_name)=0
virtual const VectorString & | getDataListNames (const std::string &_pattern)=0
virtual const std::string & | getDataPath (const std::string &_name)=0
Public Member Functions inherited from MyGUI::Singleton< DataManager >
| Singleton ()
virtual | ~Singleton ()

## Additional Inherited Members
Public Types inherited from MyGUI::Singleton< DataManager >
typedef Singleton< DataManager > | Base
Static Public Member Functions inherited from MyGUI::Singleton< DataManager >
static DataManager & | getInstance ()
static DataManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Definition at line 18 of file MyGUI_DataManager.h.

## Member Function Documentation

## ◆ freeData()

virtual void MyGUI::DataManager::freeData | ( | IDataStream * | _data | ) |
| pure virtual

Free data stream.

Parameters

  _data | Data stream.

## ◆ getData()

virtual IDataStream* MyGUI::DataManager::getData | ( | const std::string & | _name | ) |
| pure virtual

Get data stream from specified resource name.

Parameters

  _name | Resource name (usually file name).

## ◆ getDataListNames()

virtual const VectorString& MyGUI::DataManager::getDataListNames | ( | const std::string & | _pattern | ) |
| pure virtual

Get all data names with names that matches pattern.

Parameters

  _pattern | Pattern to match (for example "*.layout").

## ◆ getDataPath()

virtual const std::string& MyGUI::DataManager::getDataPath | ( | const std::string & | _name | ) |
| pure virtual

Get full path to data.

Parameters

  _name | Resource name.

Returns
  Return full path to specified data. For example getDataPath("My.layout") might return "C:\path\to\project\data\My.layout"

## ◆ isDataExist()

virtual bool MyGUI::DataManager::isDataExist | ( | const std::string & | _name | ) |
| pure virtual

Is data with specified name exist.

Parameters

  _name | Resource name.

The documentation for this class was generated from the following file:

- MyGUI_DataManager.h